Winevt.EVT_SEEK_FLAGS (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: Winevt, interface: EVT_SEEK_FLAGS

Package com.sun.jna.platform.win32

# Interface Winevt.EVT_SEEK_FLAGS

Enclosing interface:
  Winevt

public static interface Winevt.EVT_SEEK_FLAGS
Defines the relative position in the result set from which to seek. https://msdn.microsoft.com/en-us/library/windows/desktop/aa385575(v=vs.85).aspx

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `EvtSeekOriginMask`
  A bitmask that you can use to determine which of the following flags is set: EvtSeekRelativeToFirst EvtSeekRelativeToLast EvtSeekRelativeToBookmark
  `static final int`
  `EvtSeekRelativeToBookmark`
  Seek to the specified offset from the bookmarked entry in the result set.
  `static final int`
  `EvtSeekRelativeToCurrent`
  Seek to the specified offset from the current entry in the result set.
  `static final int`
  `EvtSeekRelativeToFirst`
  Seek to the specified offset from the first entry in the result set.
  `static final int`
  `EvtSeekRelativeToLast`
  Seek to the specified offset from the last entry in the result set.
  `static final int`
  `EvtSeekStrict`
  Force the function to fail if the event does not exist.

- ## Field Details

  - ### EvtSeekRelativeToFirst

    static final int EvtSeekRelativeToFirst
    Seek to the specified offset from the first entry in the result set. The offset must be a positive value.
    See Also:
      - Constant Field Values

  - ### EvtSeekRelativeToLast

    static final int EvtSeekRelativeToLast
    Seek to the specified offset from the last entry in the result set. The offset must be a negative value.
    See Also:
      - Constant Field Values

  - ### EvtSeekRelativeToCurrent

    static final int EvtSeekRelativeToCurrent
    Seek to the specified offset from the current entry in the result set. The offset can be a positive or negative value.
    See Also:
      - Constant Field Values

  - ### EvtSeekRelativeToBookmark

    static final int EvtSeekRelativeToBookmark
    Seek to the specified offset from the bookmarked entry in the result set. The offset can be a positive or negative value.
    See Also:
      - Constant Field Values

  - ### EvtSeekOriginMask

    static final int EvtSeekOriginMask
    A bitmask that you can use to determine which of the following flags is set:
    - EvtSeekRelativeToFirst
    - EvtSeekRelativeToLast
    - EvtSeekRelativeToBookmark
    See Also:
      - Constant Field Values

  - ### EvtSeekStrict

    static final int EvtSeekStrict
    Force the function to fail if the event does not exist.
    See Also:
      - Constant Field Values